# Uses of Interface
org.sunflow.core.Modifier

Packages that use Modifier
Package
Description
org.sunflow
org.sunflow.core
org.sunflow.core.modifiers

## Uses of Modifier in org.sunflow

Fields in org.sunflow with type parameters of type Modifier
Modifier and Type
Field
Description
`static final Plugins<Modifier>`
PluginRegistry.`modifierPlugins`
Methods in org.sunflow that return Modifier
Modifier and Type
Method
Description
`final Modifier`
SunflowAPI.`lookupModifier(String name)`
Retrieve a modifier object by its name, or `null` if no modifier was found, or if the specified object is not a modifier.

## Uses of Modifier in org.sunflow.core

Methods in org.sunflow.core that return Modifier
Modifier and Type
Method
Description
`Modifier`
Instance.`getModifier(int i)`
Get a modifier for the instance's list.
Methods in org.sunflow.core with parameters of type Modifier
Modifier and Type
Method
Description
`void`
Instance.`removeModifier(Modifier m)`
Remove the specified modifier from the instance's list if it is being used.
`final void`
ShadingState.`setModifier(Modifier modifier)`
Record which modifier should be applied to the intersected surface

## Uses of Modifier in org.sunflow.core.modifiers

Classes in org.sunflow.core.modifiers that implement Modifier
Modifier and Type
Class
Description
`class`
`BumpMappingModifier`
`class`
`NormalMapModifier`
`class`
`PerlinModifier`